## ovirt-guest-agent 1.0.10.2.dfsg

=== debian/changelog ===
ovirt-guest-agent (1.0.10.2.dfsg-2) unstable; urgency=low

  * Rework useradd logic not to fail if gid 175 already present
    (closes: #774437).
  * Fix self-test failures with unreadable /proc .
  * Add dh-python to Build-Depends to prevent possible FTBFS.

  [ Cameron Norman <camerontnorman@gmail.com> ]
  * Do not use udevadm in chroot (closes: #767028).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 14 Feb 2015 08:52:29 +0000

ovirt-guest-agent (1.0.10.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix short description to be more informative.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Oct 2014 18:39:44 +0000

ovirt-guest-agent (1.0.10.1.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add udev dependency for udevadm (closes: #754789).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Aug 2014 13:46:27 +0000

ovirt-guest-agent (1.0.9.1.dfsg-1) unstable; urgency=low

  * Initial upload (closes: #708432).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Jun 2014 16:32:17 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
#DEB_DH_INSTALLINIT_ARGS := --upstart-only

override_dh_auto_configure:
	dh_auto_configure -- --without-sso

override_dh_installudev:
	dh_installudev --priority 55

%:
	dh $@  --with autoreconf,python2

.PHONY: override_dh_auto_configure override_dh_installudev

## ovirt-guest-agent 1.0.11.2.dfsg

=== kdm-plugin/src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT( KGREET_OVIRTCRED )

ADD_DEFINITIONS( -Wall -std=c++98 )

FIND_PACKAGE( KDE4 REQUIRED )

INCLUDE_DIRECTORIES( ./ ../ ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )

SET( kgreet_ovirtcred_PART_SRCS ./kgreet_ovirtcred.cpp ./OVirtCred.cpp )

KDE4_ADD_PLUGIN( kgreet_ovirtcred ${kgreet_ovirtcred_PART_SRCS} )

TARGET_LINK_LIBRARIES( kgreet_ovirtcred ${KDE4_KDEUI_LIBS} )

INSTALL(TARGETS kgreet_ovirtcred DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
ovirt-guest-agent (1.0.11.2.dfsg-1) unstable; urgency=low

  * New upstream release, builds with new PEP8 lint (closes: #799002).
  * Build with systemd support.
  * Make ovirt-guest-agent.py executable (closes: #782005).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Jan 2016 20:35:05 +0100

=== debian/control ===
Source: ovirt-guest-agent
Section: utils
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 autoconf,
 automake,
 autotools-dev,
 libsystemd-dev,
 systemd,
 libtool,
 pep8,
 pkg-config,
 python,
 python-nose
Standards-Version: 3.9.6
Homepage: http://www.ovirt.org/Ovirt_guest_agent
#Vcs-Git: git://git.debian.org/collab-maint/ovirt-guest-agent.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ovirt-guest-agent.git;a=summary

Package: ovirt-guest-agent
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 udev,
 python-apt,
 python-dbus,
 python-ethtool,
 usermode,
 qemu-guest-agent
Description: daemon that resides within guest virtual machines
 This is the oVirt management agent running inside the guest. The agent
 interfaces with the oVirt manager, supplying heart-beat info as well as
 run-time data from within the guest itself. The agent also accepts
 control commands to be run executed within the OS (like: shutdown and
 restart).

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,14 @@
 export DH_OPTIONS
 #DEB_DH_INSTALLINIT_ARGS := --upstart-only
 
+PKGDIR=$(CURDIR)/debian/ovirt-guest-agent
+
 override_dh_auto_configure:
 	dh_auto_configure -- --without-sso
+
+override_dh_auto_install:
+	dh_auto_install
+	chmod a+x $(PKGDIR)/usr/share/ovirt-guest-agent/ovirt-guest-agent.py
 
 override_dh_installudev:
 	dh_installudev --priority 55
@@ -17,4 +23,5 @@
 %:
 	dh $@  --with autoreconf,python2
 
-.PHONY: override_dh_auto_configure override_dh_installudev
+.PHONY: override_dh_auto_configure override_dh_auto_install \
+	override_dh_installudev

=== debian/watch ===
version=3
opts=uversionmangle=s/-b(\d+)$/~beta$1/,dversionmangle=s/\.dfsg// \
https://github.com/oVirt/ovirt-guest-agent/tags \
(?:|.*/)v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## ovirt-guest-agent 1.0.12.2.dfsg

=== debian/changelog ===
ovirt-guest-agent (1.0.12.2.dfsg-2) unstable; urgency=low

  * Fix FTBFS due to pep8 checks (closes: #844966).
  * Add lsb-base to depends for the initscript.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Nov 2016 09:14:55 +0000

ovirt-guest-agent (1.0.12.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Change owner of log directory to ovirtagent in postinst (closes: #811481).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Aug 2016 18:32:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  dh-python,
+ dh-systemd,
  autoconf,
  automake,
  autotools-dev,
@@ -15,7 +16,7 @@
  pkg-config,
  python,
  python-nose
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.ovirt.org/Ovirt_guest_agent
 #Vcs-Git: git://git.debian.org/collab-maint/ovirt-guest-agent.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/ovirt-guest-agent.git;a=summary
@@ -24,6 +25,7 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  udev,
+ lsb-base,
  python-apt,
  python-dbus,
  python-ethtool,

## ovirt-guest-agent 1.0.13.dfsg

=== debian/changelog ===
ovirt-guest-agent (1.0.13.dfsg-2) unstable; urgency=medium

  * Update udevadm path in RPM build scripts to prevent false positive matches
    (closes: #852589).
  * Remove autotools-dev and dh-autoreconf build dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Sep 2017 06:02:22 +0000

ovirt-guest-agent (1.0.13.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix pycodestyle E722, bare except FTBFS (closes: #865801).
  * Update fix_pep8_FTBFS patch.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Jun 2017 06:02:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10),
  dh-python,
  dh-systemd,
  autoconf,
  automake,
- autotools-dev,
  libsystemd-dev,
  systemd,
  libtool,
@@ -16,7 +14,7 @@
  pkg-config,
  python,
  python-nose
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ovirt.org/Ovirt_guest_agent
 #Vcs-Git: git://git.debian.org/collab-maint/ovirt-guest-agent.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/ovirt-guest-agent.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_installudev --priority 55
 
 %:
-	dh $@  --with autoreconf,python2
+	dh $@  --with autoreconf,python2,systemd
 
 .PHONY: override_dh_auto_configure override_dh_auto_install \
 	override_dh_installudev

## ovirt-guest-agent 1.0.15.dfsg

=== debian/changelog ===
ovirt-guest-agent (1.0.15.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 16:30:47 +0000

ovirt-guest-agent (1.0.14.dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Fix FTBFS due to W605 error of PEP8 (closes: #911555).
  * Remove deprecated upstart configuration.
  * Update homepage location.
  * Update source location.
  * Update debhelper level to 11:
    - use dh_installsystemd instead of dh-systemd.
  * Update Standards-Version to 4.2.1:
    - change package priority to optional.

  [ Chris Boot <bootc@debian.org> ]
  * Modify udev rules to trigger both for the old name and the new name of
    the virtio-serial device (closes: #886660, #893698).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Oct 2018 20:56:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ovirt-guest-agent
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  dh-python,
- dh-systemd,
  autoconf,
  automake,
  libsystemd-dev,
@@ -14,14 +13,12 @@
  pkg-config,
  python,
  python-nose
-Standards-Version: 4.0.0
-Homepage: http://www.ovirt.org/Ovirt_guest_agent
-#Vcs-Git: git://git.debian.org/collab-maint/ovirt-guest-agent.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/ovirt-guest-agent.git;a=summary
+Standards-Version: 4.3.0
+Homepage: https://github.com/oVirt/ovirt-guest-agent
 
 Package: ovirt-guest-agent
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
  udev,
  lsb-base,
  python-apt,

=== debian/watch ===
version=4
opts=uversionmangle=s/-b(\d+)$/~beta$1/,dversionmangle=s/\.dfsg// \
https://github.com/oVirt/ovirt-guest-agent/tags \
(?:|.*/)v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
